<template>
	<div class="container">
		<div :class="rowClass">
			<div :class="contentClass">
				<section-title :title="section.title" :text="section.text" />
				<div class="text-block" v-html="content.text"></div>
				<ul class="text-half__content__features" v-if="content.features">
					<li v-for="(f, i) in content.features" :key="i" v-html="f"></li>
				</ul>
			</div>
			<div :class="mediaClass">
				<img class="text-half__media__image" v-if="content.media.type == 'image'" :src="content.media.image">
				<ui-form class="text-half__media__form" v-if="content.media.type == 'form'" v-bind="content.media.form" />
			</div>
		</div>
	</div>
</template>

<script>
import Mixin from '../BuilderBlockMixin.vue'
import UiForm from '../ui/Form.vue';
export default {
  	components: { UiForm },
	mixins: [
		Mixin
	],
	props: [],
	computed: {
		isPaymentForm() {
			return this.content.media.type == 'form' && this.content.media.form.type == 'payment';
		},

		rowClass() {
			let classes = ['row', 'justify-content-between'];
			classes.push(`align-items-${this.content.align || 'center'}`);

			return classes;
		},

		contentClass() {
			let classes = [`col-${this.isPaymentForm ? 'xl' : 'lg'}-${this.content.columns || 6} text-half__content`];
			if (this.content.swap) {
				classes.push('order-2');
			}
			return classes;
		},

		mediaClass() {
			let classes = [`col-${this.isPaymentForm ? 'xl' : 'lg'}-${this.content.columns ? 12 - this.content.columns : 6} text-half__media`];
			if (this.content.swap) {
				classes.push('order-1');
			}
			return classes;
		}
	}
}
</script>

<style lang="scss">
.text-half {
	&__media {
		padding-left: 40px;
		@include md {
			padding-left: 15px;
			margin-top: 40px;
		}
		&.order-1 {
			padding-left: 15px;
			padding-right: 40px;
			@include md {
				padding-right: 15px;
				margin-top: 0;
				margin-bottom: 40px;
			}
		}
		&__image {
			max-width: 100%;
			height: auto;
		}

		&__form {
			margin-left: 20px;
			background-color: white;
			border-radius: 16px;
			box-shadow: 0px 20px 45px rgba(0,0,0,.05);
			padding: 50px 50px 40px;
			@include md {
				margin-left: 0;
			}
			@include xs {
				padding: 30px 6vw;
				margin: 0px -6vw;
			}

			&.form--type-payment {
				@include lg {
					margin-left: -25px;
					margin-top: 50px;
				}
				@include xs {
					margin: 0px -6vw;
				}
			}
		}
	}

	&__content {
		&__features {
			list-style: none;
			.text-block + & {
				margin-top: 20px;
			}
			li {
				line-height: 1.6;
				padding-left: 32px;
				&:before {
					content: "✅";
					position: absolute;
					left: 0;
					top: 3px;
				}
				+ li {
					margin-top: 15px;
				}

				@include xs {
					font-size: 14px;
				}
			}
		}
	}
}
</style>

<style scoped>
.section-title {
	margin-bottom: 15px;
}
</style>
